import Location from './Location.js';
import Log from './Log.js';

export default class Locations {

    static async get(name) {
        const response = await fetch(`https://raw.githubusercontent.com/Midefos/idealista-enhancer/main/locations/${name}.json`);
        Log.debug(`Requested location '${name}'`);

        if (response.status == 404) {
            Log.debug(`Missing information for location: '${name}'`);
            return { errorMessage: 'Datos no disponibles...' };
        }
        const data = await response.json();
        return Location.fromRaw(data);
    }

}